# disable kdeplasma component since plasma5 porting is not finished
# https://github.com/a-rodin/qstardict/issues/14
%define with_kdeplasma		0

# exclude private provides
%define __provides_exclude_from	^%{_libdir}/%{name}/plugins/.*\.so$

Name:		qstardict
Version:	1.3
Release:	%mkrel 6
Summary:	StarDict clone written using Qt5
License:	GPLv2+
Group:		Office/Dictionary
URL:		http://qstardict.ylsoftware.com/
Source0:	https://github.com/a-rodin/qstardict/archive/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	qttools5
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	cmake(KF5GlobalAccel)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5Notifications)
%if %{with_kdeplasma}
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5ConfigWidgets)
%endif

%description
QStarDict is a StarDict clone written using Qt5. The user interface
is similar to StarDict.

Main features:

 * Full support of StarDict dictionaries
 * Working from the system tray
 * Scanning mouse selection and showing pop-up windows with translation of
   selected words
 * Translations reformatting
 * Pronouncing of the translated words
 * Plugins support

#----------------------------------------------------

%if %{with_kdeplasma}

%package -n	plasma-applet-%{name}
Summary:	Plasma applet of %{name}
Group:		Graphical desktop/KDE
Requires:	%{name} >= %{version}-%{release}

%description -n	plasma-applet-%{name}
This package contains KDE plasma applet of %{name}.

%endif
#----------------------------------------------------

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
### Build qstardict ###
%qmake_qt5 \
	PLUGINS_DIR=%{_libdir}/%{name}/plugins \
	QMAKE_LRELEASE=%{_qt5_bindir}/lrelease \
	ENABLED_PLUGINS="stardict web kdeintegration"
%make_build

%if %{with_kdeplasma}
### Build plasma applet ###
pushd kdeplasma
  %cmake_kf5
  %cmake_build
popd
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{with_kdeplasma}
%make_install -C kdeplasma/%{_vpath_builddir}
%endif

rm -fr %{buildroot}%{_docdir}/%{name}/COPYING

%files
%doc AUTHORS ChangeLog README THANKS
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%if %{with_kdeplasma}
%files -n plasma-applet-%{name}
%{_kf5_libdir}/*.so
%{_kf5_services}/*.desktop
%endif


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 1.3-6.mga9
+ Revision: 1845628
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.3-5.mga8
+ Revision: 1659552
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.3-4.mga8
+ Revision: 1525735
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.3-3.mga7
+ Revision: 1384273
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1300679
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1197316
- initial package qstardict

